using System;
using System.Collections.Generic;
using System.Text;

namespace coolprop_wrapper
{
  interface IFunction
  {
    SMath.Manager.Term Info { get; }

    SMath.Manager.TermInfo GetTermInfo(string lang);

    bool NumericEvaluation(
      SMath.Manager.Term value,
      SMath.Math.Numeric.TNumber[] args,
      ref SMath.Math.Numeric.TNumber result);
  }
}
